function [r1,r2,r3,r4] = LossPlot(mod)
model = mod;
dist = 15;
freq = 900;
freq2 = 2100;
tx_ht = 90;
rx_ht = 1.5;
PT = 28;
GR = 2;
GT = 14;
PT2 = 28;
GR2 = 2;
GT2 = 14;
[x1,y1] = pathloss(dist, freq, tx_ht, rx_ht, model);
[x2,y2] = pathloss(dist, freq2, tx_ht, rx_ht, model);
RS1 = Srdb(200, 4, 290, 3, 12.2);
RS2 = Srdb(3840, 4, 290, 3, 12.2);
fade1 = fading_margin(0.95, freq);
fade2 = fading_margin(0.95, freq2);
noise1 = RS1 + fade1;
noise2 = RS2 + fade2;
noise1Plot(1:dist) = noise1;
noise2Plot(1:dist) = noise2;
RS1Plot(1:dist) = RS1;
RS2Plot(1:dist) = RS2;
plot(x1, y1+(PT+GR+GT), 'g-');
hold on;
plot(x2-1, fliplr(y2+(PT2+GR2+GT2)), 'k-');
hold on;
plot(x2, y2+(PT2+GR2+GT2), 'k--');
hold on;
plot(1:dist, noise1Plot, 'r-');
hold on;
plot(1:dist, noise2Plot, 'r--');
hold on;
plot(1:dist, RS1Plot, 'b-');
hold on;
plot(1:dist, RS2Plot, 'b--');
hold on;
[i1,i2] = intersections(x1,y1+(PT+GR+GT),1:dist,noise1Plot,1);
plot(i1,i2, 'r-*');
hold on;
[i3,i4] = intersections(x2-1,fliplr(y2+(PT+GR+GT)),1:dist,noise2Plot,1);
plot(i3,i4, 'r-*');
hold on;
[i5,i6] = intersections(x2,y2+(PT+GR+GT),1:dist,noise2Plot,1);
plot(i5,i6, 'r-*');
hold off;
set(gca,'XTick',1:dist)

r1 = i1;
r2 = i2;
r3 = dist-i3;
r4 = i4;

if(model==1)
    title('Pathloss prediction - Freespace');        % 1: FreeSpace
elseif(model==2)
    title('Pathloss prediction - Okumura');          % 2: Okumura
elseif(model==3)
    title('Pathloss prediction - Hata Urban');       % 3: Hata Urban
elseif(model==4)
    title('Pathloss prediction - Hata Suburban');    % 4: Hata Suburban
elseif(model==5)
    title('Pathloss prediction - Hata Open');        % 5: Hata Open
elseif(model==6)
    title('Pathloss prediction - Lee Philadelphia'); % 6: Hata Urban
elseif(model==7)
    title('Pathloss prediction - Lee Newark');       % 7: Hata Urban
elseif(model==8)
    title('Pathloss prediction - Lee Tokyo');        % 8: Hata Urban
elseif(model==9)
    title('Pathloss prediction - ETSI');             % 9: Hata Urban
end

xlabel('Distance (km)');
ylabel('Path loss (dB)');
legend('Loss GSM','Loss UMTS','Loss UMTS','Fading margin GSM', 'Fading Margin UMTS', 'Receiver sensitivity GSM', 'Receiver Sensitivty UMTS');
end