function [r1,r2,r3,r4,r5] = Scenario4(dist)
model = 4;
dist_m = dist*1000;
freq = 2100;
tx_ht = 150;
rx_ht = 1.5;
PT = 25;
GR = 2;
GT = 14;
[x1,y1] = pathloss_orig(dist, freq, tx_ht, rx_ht, model);
x1=x1*1000;
y1 = y1+(PT+GR+GT);
RS1 = Srdb(200, 4, 293.15, 3, 12.2);
fade1 = fading_margin(0.95, freq);
noise1 = RS1 + fade1;
noise1Plot(1:(dist_m+1)) = noise1;
RS1Plot(1:(dist_m+1)) = RS1;
plot(x1, y1, 'g-');
hold on;
plot(x1-1000, fliplr(y1), 'k-');
plot(0:dist_m, noise1Plot, 'r-');
plot(0:dist_m, RS1Plot, 'b-');
[i1,i2] = intersections(x1,y1,0:dist_m,noise1Plot,1);
plot(i1,i2, 'r-*');
[i3,i4] = intersections(x1-1000,fliplr(y1),0:dist_m,noise1Plot,1);
plot(i3,i4, 'r-*');
hold off;
set(gca,'XTick',0:1000:dist_m)

r1 = i1;
r2 = i2;
r3 = dist_m-i3;
r4 = i4;
r5 = i1-i3;

if(model==1)
    title('Propagation prediction - Freespace');        % 1: FreeSpace
elseif(model==2)
    title('Propagation prediction - Okumura');          % 2: Okumura
elseif(model==3)
    title('Propagation prediction - Hata Urban');       % 3: Hata Urban
elseif(model==4)
    title('Propagation prediction - Hata Suburban');    % 4: Hata Suburban
elseif(model==5)
    title('Propagation prediction - Hata Open');        % 5: Hata Open
elseif(model==6)
    title('Propagation prediction - Lee Philadelphia'); % 6: Hata Urban
elseif(model==7)
    title('Propagation prediction - Lee Newark');       % 7: Hata Urban
elseif(model==8)
    title('Propagation prediction - Lee Tokyo');        % 8: Hata Urban
elseif(model==9)
    title('Propagation prediction - ETSI');             % 9: Hata Urban
end

xlabel('Distance (m)');
ylabel('Signal strength (dB)');
legend('UMTS2100','UMTS2100','Fading Margin UMTS','Receiver Sensitivty UMTS');
end