function [ Dist, PathLoss ] = wlan3(distance, freq, txh, rxh)
Dist = 0:0.001:distance;                  % Distance
Dist_Km=Dist;                       % Distance in km
Dist_Log_Km=log10(Dist_Km);            % Distance in Log Scale (for km)

Freq=freq;              % Frequence
TX_Ht=txh;              % Height of transmit antenna
RX_Ht=rxh;              % Height of receive antenna


% Hata Model
PAR_H=3.2*((log10(11.75*RX_Ht))^2)-4.97;
Hata_Urban=69.55+26.16*log10(Freq)-13.82*log10(TX_Ht)-PAR_H+((44.9-6.55*log10(TX_Ht)))*(Dist_Log_Km);

Hata_Suburban=Hata_Urban-((2*(log10(Freq/28))^2)-5.4);


    PathLoss=-Hata_Suburban;    % 4: Hata Suburban


Dist = Dist*1000;
end